#579 mi_xmlrpc does not support latest versions of libxmlrpc-c3

1.4.x
closed-out-of-date
modules (454)
3
2015-04-07
2012-11-09
Digipigeon
No

I am getting repeated crashing on my three X 1.8.2 opensips servers, also some crashing on my 1.7.1.

The problem appears to be more noticeable when the profile_get_values is called frequently (every few seconds), however I cant confirm isolation of this command causes the crash.

Please see attached (gdb) bt full

Discussion

<< < 1 2 (Page 2 of 2)
  • Bogdan-Andrei Iancu

    As an update here, for everyone.

    The problem seems to be generated by the newest versions of libxmlrpc-c3 library (over 1.06.42) - just vesrion do not properly work against opensips, because the threads usage -> this leads the memory corruption in opensips.

    We will need to rework the mi_xmlrpc module to support also the new versions, or at least not to compile / link against them.

    Regards,
    Bogdan

     
  • Bogdan-Andrei Iancu

    • summary: Crash due to mi commands --> mi_xmlrpc does not support latest versions of libxmlrpc-c3
     
  • Bogdan-Andrei Iancu

    • priority: 5 --> 3
     
  • Bogdan-Andrei Iancu

    • assigned_to: bogdan_iancu --> razvancrainea
     
  • Bogdan-Andrei Iancu

    • status: open --> closed-out-of-date
    • Group: --> 1.4.x
     
<< < 1 2 (Page 2 of 2)

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks